<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>GSSMP Developers</title>
</head>
<body>

<address><a href="index.html">Home</a> | <a href="install.html">Install</a> | 
<a href="use.html">Use</a> |
<a href="screenshots.html">Screenshots</a> |
Developers |
<a href="contact.html">Contact</a></address>

<h1>GSSMP Developers</h1>

<p>At the moment GSSMP is primarily developed by
<a href="http://www.artificialworlds.net/blog">Andy Balaam</a>, but I'd
welcome help in the form of UI designs, suggestions, code patches and 
information.</p>

<p>Code and bug fixes have been contributed by:</p>

<ul>
<li>Charles Bailey</li>
<li>Jo&atilde;o Pinto</li>
</ul>

<h2>Languages, libraries etc.</h2>

<p>GSSMP is written in C using the GTK, GConf and gstreamer libraries.  It is a
learning exercise for me because I want to get more involved with GNOME
development.  (Any comments on how to integrate better with GNOME would be
gratefully received.)</p>

<h2>Compiling from the source tarball</h2>

<p>To compile the program from source you will need the development libraries
for gnome, gconf, and gstreamer (mail us if that list is missing something!).
To modify the UI you will need glade 2.  On Ubuntu you can simply run:</p>

<p><tt>sudo apt-get install libgstreamer0.10-dev libgconf2-dev libgnomeui-dev
glade-gnome</tt></p>

<p>Download the source tarball
from the <a href="http://sourceforge.net/project/showfiles.php?group_id=187144&amp;package_id=219138">source
download page</a> and untar and compile it like so:</p>

<p><tt>tar -xzf gssmp-*.tar.gz<br />
cd gssmp-*<br />
./configure<br />
make<br />
cd src<br />
./gssmp</tt></p>

<p>There are more details in the file INSTALL which is included in the
tarball.  If something goes wrong email the mailing list and we'll try to
help.</p>

<h2>Getting the latest source code</h2>

<p>The GSSMP source is stored in a <a href="http://git.or.cz/">Git</a>
repository on <a href="http://repo.or.cz">repo.or.cz</a>.  To browse
the code go to
<a href="http://repo.or.cz/w/gssmp.git">http://repo.or.cz/w/gssmp.git</a>.</p>

<p>To build and run GSSMP, run these commands:</p>

<p><tt>git clone git://repo.or.cz/gssmp.git<br />
cd gssmp<br />
./autogen.sh<br />
make<br />
cd src<br />
./gssmp</tt></p>

<p>Contact us if you have any problems.</p>

<div style="float:right"><a href="http://sourceforge.net/projects/gssmp/"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=187144&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" /></a></div>

<address><a href="index.html">Home</a> | <a href="install.html">Install</a> | 
<a href="use.html">Use</a> |
<a href="screenshots.html">Screenshots</a> |
Developers |
<a href="contact.html">Contact</a></address>

</body>
</html>


